Skip to main content
POST
/
datasets
/
v3
/
scrape
curl --request POST \
  --url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_l1villgoiiidt09ci&include_errors=true' \
  --header "Authorization: Bearer YOUR_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{"input": [{"url": "https://www.tiktok.com/@mrbeast"}, {"url": "https://www.tiktok.com/@charlidamelio"}]}'
[
  {
    "account_id": "123456789",
    "nickname": "Example Creator",
    "biography": "Content creator and storyteller",
    "bio_link": "https://example.com",
    "is_verified": true,
    "followers": 150000000,
    "following": 800,
    "likes": 3200000000,
    "videos_count": 950,
    "create_time": "2018-05-20T00:00:00.000Z",
    "url": "https://www.tiktok.com/@examplecreator",
    "profile_pic_url": "https://p16-sign-sg.tiktokcdn.com/example-avatar~100x100.jpeg",
    "profile_pic_url_hd": "https://p16-sign-sg.tiktokcdn.com/example-avatar~720x720.jpeg",
    "awg_engagement_rate": 0.0432,
    "is_private": false,
    "region": "US"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

dataset_id
string
default:"gd_l1villgoiiidt09ci"
required
The dataset ID used for this request.
Must be set to gd_l1villgoiiidt09ci to collect Profiles by URL data.
notify
boolean
default:false
Whether to send notifications when the request is completed.
include_errors
boolean
default:true
Whether to include errors in the response.

Request Body

input
object[]
required
An array of input objects.

Example

{
  "input": [
    {"url": "https://www.tiktok.com/@mrbeast"},
    {"url": "https://www.tiktok.com/@charlidamelio"}
  ]
}
[
  {
    "account_id": "123456789",
    "nickname": "Example Creator",
    "biography": "Content creator and storyteller",
    "bio_link": "https://example.com",
    "is_verified": true,
    "followers": 150000000,
    "following": 800,
    "likes": 3200000000,
    "videos_count": 950,
    "create_time": "2018-05-20T00:00:00.000Z",
    "url": "https://www.tiktok.com/@examplecreator",
    "profile_pic_url": "https://p16-sign-sg.tiktokcdn.com/example-avatar~100x100.jpeg",
    "profile_pic_url_hd": "https://p16-sign-sg.tiktokcdn.com/example-avatar~720x720.jpeg",
    "awg_engagement_rate": 0.0432,
    "is_private": false,
    "region": "US"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

dataset_id
string
default:gd_l1villgoiiidt09ci
required

Must be gd_l1villgoiiidt09ci for this dataset.

notify
boolean
default:false

Send notifications when the request is completed.

include_errors
boolean
default:true

Include errors in the response.

Body

application/json
input
object[]
required

Array of input objects. See Request Body below for the supported fields.

Response

200 - application/json

OK. See response example below the parameters.